Subject: Re: [ANNOUNCE] linux-staging tree created

From: Greg KH <[email-masked]>
Date: Thu, 12 Jun 2008 16:54:41 -0700

On Thu, Jun 12, 2008 at 12:37:56PM +0100, Will Newton wrote:
> On Wed, Jun 11, 2008 at 5:26 PM, Greg KH <[email-masked]> wrote:
> > On Wed, Jun 11, 2008 at 11:45:55AM +0100, Will Newton wrote:
> >>
> >> Would the linux-staging tree be an appropriate place to merge a new
> >> architecture? Or would that be too large a change and should go via
> >> its own tree?
> >
> > That is probably too big to go into -staging and should deserve its own
> > tree based on the size of patches that have gone into creating a new
> > architecture in the past.
> 
> Our tree is about 26000 lines of diff, including a few drivers.

That's pretty sizable, I think it deserves its own tree.

> > Do you have an example of one that is currently not included in the main
> > kernel tree right now?
> 
> I have a tree that is currently about half way to public consumption,
> although I don't think there's any point pushing it until we have a
> publically available toolchain.

Yeah, that would help as well :)

thanks,

greg k-h